Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.tools.traceAnalysis.filter.visualization.callTree
Class AggregatedAllocationComponentOperationCallTreeFilter

    java.lang.Object
      kieker.analysis.analysisComponent.AbstractAnalysisComponent
          kieker.analysis.plugin.AbstractPlugin
              kieker.analysis.plugin.filter.AbstractFilterPlugin
                  kieker.tools.traceAnalysis.filter.AbstractTraceAnalysisFilter
                      kieker.tools.traceAnalysis.filter.AbstractTraceProcessingFilter
                          kieker.tools.traceAnalysis.filter.AbstractMessageTraceProcessingFilter
                              kieker.tools.traceAnalysis.filter.visualization.callTree.AbstractCallTreeFilter<T>
                                  kieker.tools.traceAnalysis.filter.visualization.callTree.AbstractAggregatedCallTreeFilter<AllocationComponentOperationPair>
                                      kieker.tools.traceAnalysis.filter.visualization.callTree.AggregatedAllocationComponentOperationCallTreeFilter

All Implemented Interfaces:
  IAnalysisComponent, IFilterPlugin, IPlugin

    public class AggregatedAllocationComponentOperationCallTreeFilter

extends AbstractAggregatedCallTreeFilter<AllocationComponentOperationPair>

Since:
  1.1
Author:
  Andre van Hoorn

Nested Class Summary

Nested classes/interfaces inherited from class kieker.tools.traceAnalysis.filter.visualization.callTree.AbstractCallTreeFilter
`AbstractCallTreeFilter.IPairFactory<T>`

Nested classes/interfaces inherited from interface kieker.analysis.plugin.IPlugin
`IPlugin.PluginInputPortReference, IPlugin.STATE`

Field Summary

Fields inherited from class kieker.tools.traceAnalysis.filter.visualization.callTree.AbstractAggregatedCallTreeFilter
`CONFIG_PROPERTY_NAME_INCLUDE_WEIGHTS, CONFIG_PROPERTY_NAME_OUTPUT_FILENAME, CONFIG_PROPERTY_NAME_SHORT_LABELS, CONFIG_PROPERTY_VALUE_INCLUDE_WEIGHTS_DEFAULT, CONFIG_PROPERTY_VALUE_OUTPUT_FILENAME_DEFAULT, CONFIG_PROPERTY_VALUE_SHORT_LABELS_DEFAULT`

Fields inherited from class kieker.tools.traceAnalysis.filter.AbstractMessageTraceProcessingFilter
`INPUT_PORT_NAME_MESSAGE_TRACES`

Fields inherited from class kieker.tools.traceAnalysis.filter.AbstractTraceAnalysisFilter
`CONFIG_PROPERTY_VALUE_VERBOSE, REPOSITORY_PORT_NAME_SYSTEM_MODEL`

Fields inherited from class kieker.analysis.analysisComponent.AbstractAnalysisComponent
`CONFIG_NAME`

Constructor Summary
`AggregatedAllocationComponentOperationCallTreeFilter(Configuration configuration, IProjectContext projectContext)` Creates a new instance of this class using the given parameters.

Method Summary
`boolean` | `init()` Initiates the start of a component.

Methods inherited from class kieker.tools.traceAnalysis.filter.visualization.callTree.AbstractAggregatedCallTreeFilter
`getCurrentConfiguration, inputMessageTraces, printStatusMessage, saveTreeToDotFile, terminate`

Methods inherited from class kieker.tools.traceAnalysis.filter.visualization.callTree.AbstractCallTreeFilter
`writeDotForMessageTrace`

Methods inherited from class kieker.tools.traceAnalysis.filter.AbstractTraceProcessingFilter
`getErrorCount, getLastTraceIdError, getLastTraceIdSuccess, getSuccessCount, getTotalCount`

Methods inherited from class kieker.tools.traceAnalysis.filter.AbstractTraceAnalysisFilter
`createExecutionByEntityNames, createExecutionByEntityNames, getSystemEntityFactory`

Methods inherited from class kieker.analysis.plugin.AbstractPlugin
`areAllRepositoryPortsConnected, connect, connect, getAllDisplayNames, getAllInputPortNames, getAllOutputPortNames, getAllRepositoryPortNames, getConnectedPlugins, getCurrentRepositories, getIncomingPlugins, getPluginDescription, getPluginName, getState, isConnectionAllowed, shutdown, start`

Methods inherited from class kieker.analysis.analysisComponent.AbstractAnalysisComponent
`getName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface kieker.analysis.plugin.IPlugin
`connect, getAllDisplayNames, getAllInputPortNames, getAllOutputPortNames, getAllRepositoryPortNames, getConnectedPlugins, getCurrentRepositories, getName, getPluginDescription, getPluginName, getState`

Constructor Detail

### AggregatedAllocationComponentOperationCallTreeFilter

    public AggregatedAllocationComponentOperationCallTreeFilter(Configuration configuration,
                                                                IProjectContext projectContext)

  Creates a new instance of this class using the given parameters.

  Parameters:
    `configuration` - The configuration for this component.
    `projectContext` - The project context for this component.

Method Detail

### init

    public boolean init()

  Initiates the start of a component. This method is called once when a AnalysisController's run() method is called. This implementation must not be blocking! Asynchronous consumers would spawn (an) asynchronous thread(s) in this method.

  Specified by:
    `init` in interface `IPlugin`
  Overrides:
    `init` in class `AbstractFilterPlugin`
  Returns:
    true on success; false otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net